'use strict';

const Controller = require('../../../index').Controller;

class FetchController extends Controller {

    start(request) {
        return 1234;
    }

    upload(request) {
        return {
            files: request.files.map(f => {
                delete f.buffer;
                return f;
            }),
            query: request.query,
        };
    }
}

module.exports = FetchController;